commit:     1a120b974a27ceaeb466ae6e9d69ddf38a8fd9fc
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  6 15:28:22 2018 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 15:29:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a120b97

media-sound/csound: Remove linguas_* from IUSE.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-sound/csound/csound-6.08.0.ebuild | 5 ++---
 media-sound/csound/csound-6.09.1.ebuild | 5 ++---
 media-sound/csound/csound-9999.ebuild   | 5 ++---
 3 files changed, 6 insertions(+), 9 deletions(-)

diff --git a/media-sound/csound/csound-6.08.0.ebuild 
b/media-sound/csound/csound-6.08.0.ebuild
index 9cf35beeed2..56eb7fc9cdf 100644
--- a/media-sound/csound/csound-6.08.0.ebuild
+++ b/media-sound/csound/csound-6.08.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -26,7 +26,6 @@ portaudio portmidi pulseaudio python samples score 
static-libs stk tcl test
 +threads +utils vim-syntax websocket"
 
 LANGS=" de en_US es_CO fr it ro ru"
-IUSE+="${LANGS// / linguas_}"
 
 REQUIRED_USE="
        csoundac? ( || ( lua python ) )
@@ -112,7 +111,7 @@ src_prepare() {
 
        local lang
        for lang in ${LANGS} ; do
-               if ! use linguas_${lang} ; then
+               if ! has ${lang} ${LINGUAS-${lang}} ; then
                        sed -i "/compile_po(${lang}/d" po/CMakeLists.txt || die
                fi
        done

diff --git a/media-sound/csound/csound-6.09.1.ebuild 
b/media-sound/csound/csound-6.09.1.ebuild
index 75d25554860..7f018b3a913 100644
--- a/media-sound/csound/csound-6.09.1.ebuild
+++ b/media-sound/csound/csound-6.09.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -30,7 +30,6 @@ portaudio portmidi pulseaudio python samples score 
static-libs stk tcl test
 +threads +utils vim-syntax websocket"
 
 IUSE_LANGS=" de en_US es es_CO fr it ro ru"
-IUSE+="${IUSE_LANGS// / linguas_}"
 
 REQUIRED_USE="
        csoundac? ( || ( lua python ) )
@@ -120,7 +119,7 @@ src_prepare() {
 
        local lang
        for lang in ${IUSE_LANGS} ; do
-               if ! use linguas_${lang} ; then
+               if ! has ${lang} ${LINGUAS-${lang}} ; then
                        sed -i "/compile_po(${lang}/d" po/CMakeLists.txt || die
                fi
        done

diff --git a/media-sound/csound/csound-9999.ebuild 
b/media-sound/csound/csound-9999.ebuild
index afdb7ee6315..5906af36652 100644
--- a/media-sound/csound/csound-9999.ebuild
+++ b/media-sound/csound/csound-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -30,7 +30,6 @@ portaudio portmidi pulseaudio python samples score 
static-libs stk tcl test
 +threads +utils vim-syntax websocket"
 
 IUSE_LANGS=" de en_US es es_CO fr it ro ru"
-IUSE+="${IUSE_LANGS// / linguas_}"
 
 REQUIRED_USE="
        csoundac? ( || ( lua python ) )
@@ -118,7 +117,7 @@ src_prepare() {
 
        local lang
        for lang in ${IUSE_LANGS} ; do
-               if ! use linguas_${lang} ; then
+               if ! has ${lang} ${LINGUAS-${lang}} ; then
                        sed -i "/compile_po(${lang}/d" po/CMakeLists.txt || die
                fi
        done

Reply via email to